Index: .bzrignore
===================================================================
--- .bzrignore	(revision b20b32f0785f9a1eff448382a98e64812469e112)
+++ .bzrignore	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
@@ -2,4 +2,13 @@
 config.h
 bitlbee
+Debug
+Debugx
+deps
+admin/Debug
+admin/admin.plg
+bitlbee.plg
+*.plg
+*.aps
+*.clw
 user-guide.txt
 user-guide.html
Index: Makefile
===================================================================
--- Makefile	(revision b20b32f0785f9a1eff448382a98e64812469e112)
+++ Makefile	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
@@ -10,6 +10,12 @@
 
 # Program variables
-objects = account.o bitlbee.o commands.o conf.o crypting.o help.o ini.o irc.o log.o nick.o query.o set.o unix.o url.o user.o
+objects = account.o bitlbee.o commands.o crypting.o help.o ini.o irc.o nick.o query.o set.o url.o user.o log.o
 subdirs = protocols
+
+ifeq ($(ARCH),Windows)
+objects += win32.o
+else
+objects += unix.o conf.o
+endif
 
 # Expansion of variables
Index: bitlbee.c
===================================================================
--- bitlbee.c	(revision b20b32f0785f9a1eff448382a98e64812469e112)
+++ bitlbee.c	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
@@ -55,7 +55,4 @@
 	GIOChannel *ch;
 	
-	log_link( LOGLVL_ERROR, LOGOUTPUT_SYSLOG );
-	log_link( LOGLVL_WARNING, LOGOUTPUT_SYSLOG );
-	
 	global.listen_socket = socket( AF_INET, SOCK_STREAM, 0 );
 	if( global.listen_socket == -1 )
@@ -110,7 +107,4 @@
 	if( !irc_new( 0 ) )
 		return( 1 );
-	
-	log_link( LOGLVL_ERROR, LOGOUTPUT_IRC );
-	log_link( LOGLVL_WARNING, LOGOUTPUT_IRC );
 	
 	return( 0 );
Index: doc/BUILD.win32
===================================================================
--- doc/BUILD.win32	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
+++ doc/BUILD.win32	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
@@ -0,0 +1,23 @@
+Instructions for building the Bitlbee Win32 port
+================================================
+
+1. Download the latest version using bzr (http://www.bazaar-ng.org/):
+   bzr branch http://jelmer.vernstok.nl/oss/bitlbee/bzr/win32 bitlbee-win32
+2. Download and install the required development files: 
+    from ftp://ftp.gtk.org/pub/gtk/v2.8/win32/
+    - glib
+    - glib-dev
+	- libiconv
+	- gettext
+    from http://ftp.mozilla.org/pub/mozilla.org/
+    - nss
+    - nspr
+
+I've put them inside c:\dev, so you might have the most with that location.
+
+3. Open bitlbee.dsw in VC++ and build :-)
+
+4. Now you're done. When running, make sure all the required DLL's are accessible. If they can't be found, place them inside c:\winnt\system32 or the Debug or Release directories inside bitlbee-...\win32\.
+
+5. To build setup files, compile the bitlbee.iss file using the Inno Setup 
+   program (available from www.jrsoftware.org).
Index: unix.c
===================================================================
--- unix.c	(revision b20b32f0785f9a1eff448382a98e64812469e112)
+++ unix.c	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
@@ -60,4 +60,7 @@
 	if( global.conf->runmode == RUNMODE_INETD )
 	{
+		log_link( LOGLVL_ERROR, LOGOUTPUT_IRC );
+		log_link( LOGLVL_WARNING, LOGOUTPUT_IRC );
+	
 		i = bitlbee_inetd_init();
 		log_message( LOGLVL_INFO, "Bitlbee %s starting in inetd mode.", BITLBEE_VERSION );
@@ -66,4 +69,7 @@
 	else if( global.conf->runmode == RUNMODE_DAEMON )
 	{
+		log_link( LOGLVL_ERROR, LOGOUTPUT_SYSLOG );
+		log_link( LOGLVL_WARNING, LOGOUTPUT_SYSLOG );
+
 		i = bitlbee_daemon_init();
 		log_message( LOGLVL_INFO, "Bitlbee %s starting in daemon mode.", BITLBEE_VERSION );
Index: win32.c
===================================================================
--- win32.c	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
+++ win32.c	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
@@ -0,0 +1,315 @@
+  /********************************************************************\
+  * BitlBee -- An IRC to other IM-networks gateway                     *
+  *                                                                    *
+  * Copyright 2002-2004 Wilmer van der Gaast and others                *
+  \********************************************************************/
+
+/* Main file (Windows specific part)                                   */
+
+/*
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+  You should have received a copy of the GNU General Public License with
+  the Debian GNU/Linux distribution in /usr/share/common-licenses/GPL;
+  if not, write to the Free Software Foundation, Inc., 59 Temple Place,
+  Suite 330, Boston, MA  02111-1307  USA
+*/
+
+#define BITLBEE_CORE
+#include "bitlbee.h"
+#include "commands.h"
+#include "crypting.h"
+#include "protocols/nogaim.h"
+#include "help.h"
+#include <signal.h>
+#include <windows.h>
+
+global_t global;	/* Against global namespace pollution */
+
+static void WINAPI service_ctrl (DWORD dwControl)
+{
+	switch (dwControl)
+	{
+        case SERVICE_CONTROL_STOP:
+			/* FIXME */
+            break;
+
+        case SERVICE_CONTROL_INTERROGATE:
+            break;
+
+        default:
+            break;
+
+    }
+}
+
+static void bitlbee_init(int argc, char **argv)
+{
+	int i = -1;
+	memset( &global, 0, sizeof( global_t ) );
+	
+	global.loop = g_main_new( FALSE );
+	
+	global.conf = conf_load( argc, argv );
+	if( global.conf == NULL )
+		return;
+	
+	if( global.conf->runmode == RUNMODE_INETD )
+	{
+		i = bitlbee_inetd_init();
+		log_message( LOGLVL_INFO, "Bitlbee %s starting in inetd mode.", BITLBEE_VERSION );
+
+	}
+	else if( global.conf->runmode == RUNMODE_DAEMON )
+	{
+		i = bitlbee_daemon_init();
+		log_message( LOGLVL_INFO, "Bitlbee %s starting in daemon mode.", BITLBEE_VERSION );
+	} 
+	else 
+	{
+		log_message( LOGLVL_INFO, "No bitlbee mode specified...");
+	}
+	
+	if( i != 0 )
+		return;
+ 	
+	if( access( global.conf->configdir, F_OK ) != 0 )
+		log_message( LOGLVL_WARNING, "The configuration directory %s does not exist. Configuration won't be saved.", global.conf->configdir );
+	else if( access( global.conf->configdir, 06 ) != 0 )
+		log_message( LOGLVL_WARNING, "Permission problem: Can't read/write from/to %s.", global.conf->configdir );
+	if( help_init( &(global.help) ) == NULL )
+		log_message( LOGLVL_WARNING, "Error opening helpfile %s.", global.helpfile );
+}
+
+void service_main (DWORD argc, LPTSTR *argv)
+{
+	SERVICE_STATUS_HANDLE handle;
+	SERVICE_STATUS status;
+
+    handle = RegisterServiceCtrlHandler("bitlbee", service_ctrl);
+
+    if (!handle)
+		return;
+
+    status.dwServiceType = SERVICE_WIN32_OWN_PROCESS;
+    status.dwServiceSpecificExitCode = 0;
+
+	bitlbee_init(argc, argv);
+
+	SetServiceStatus(handle, &status);
+	
+	g_main_run( global.loop );
+}
+
+SERVICE_TABLE_ENTRY dispatch_table[] =
+{
+   { TEXT("bitlbee"), (LPSERVICE_MAIN_FUNCTION)service_main },
+   { NULL, NULL }
+};
+
+static int debug = 0;
+
+static void usage()
+{
+	printf("Options:\n");
+	printf("-h   Show this help message\n");
+	printf("-d   Debug mode (simple console program)\n");
+}
+
+int main( int argc, char **argv)
+{    
+	int i;
+	WSADATA WSAData;
+
+	nogaim_init( );
+
+	for (i = 1; i < argc; i++) {
+		if (!strcmp(argv[i], "-d")) debug = 1;
+		if (!strcmp(argv[i], "-h")) {
+			usage();
+			return 0;
+		}
+	}
+
+    WSAStartup(MAKEWORD(1,1), &WSAData);
+
+	if (!debug) {
+		if (!StartServiceCtrlDispatcher(dispatch_table))
+			log_message( LOGLVL_ERROR, "StartServiceCtrlDispatcher failed.");
+	} else {
+			bitlbee_init(argc, argv);
+ 			g_main_run( global.loop );
+	}
+	
+	return 0;
+}
+
+double gettime()
+{
+	return (GetTickCount() / 1000);
+}
+
+void conf_get_string(HKEY section, const char *name, const char *def, char **dest)
+{
+	char buf[4096];
+	long x;
+	if (RegQueryValue(section, name, buf, &x) == ERROR_SUCCESS) {
+		*dest = g_strdup(buf);
+	} else if (!def) {
+		*dest = NULL;
+	} else {
+		*dest = g_strdup(def);
+	}
+}
+
+
+void conf_get_int(HKEY section, const char *name, int def, int *dest)
+{
+	char buf[20];
+	long x;
+	DWORD y;
+	if (RegQueryValue(section, name, buf, &x) == ERROR_SUCCESS) {
+		memcpy(&y, buf, sizeof(DWORD));
+		*dest = y;
+	} else {
+		*dest = def;
+	}
+}
+
+conf_t *conf_load( int argc, char *argv[] ) 
+{
+	conf_t *conf;
+	HKEY key, key_main, key_proxy;
+	char *tmp;
+
+	RegOpenKey(HKEY_CURRENT_USER, "SOFTWARE\\Bitlbee", &key);
+	RegOpenKey(key, "main", &key_main);
+	RegOpenKey(key, "proxy", &key_proxy);
+	
+	memset( &global, 0, sizeof( global_t ) );
+	global.loop = g_main_new(FALSE);
+
+	conf = g_new0( conf_t,1 );
+	global.conf = conf;
+	conf_get_string(key_main, "interface", "0.0.0.0", &global.conf->iface);
+	conf_get_int(key_main, "port", 6667, &global.conf->port);
+	conf_get_int(key_main, "verbose", 0, &global.conf->verbose);
+	conf_get_string(key_main, "password", "", &global.conf->password);
+	conf_get_int(key_main, "ping_interval_timeout", 60, &global.conf->ping_interval);
+	conf_get_string(key_main, "hostname", "localhost", &global.conf->hostname);
+	conf_get_string(key_main, "configdir", NULL, &global.conf->configdir);
+	conf_get_string(key_main, "motdfile", NULL, &global.conf->motdfile);
+	conf_get_string(key_main, "helpfile", NULL, &global.helpfile);
+	global.conf->runmode = RUNMODE_DAEMON;
+	conf_get_int(key_main, "AuthMode", AUTHMODE_OPEN, &global.conf->authmode);
+	conf_get_string(key_proxy, "host", "", &tmp); strcpy(proxyhost, tmp);
+	conf_get_string(key_proxy, "user", "", &tmp); strcpy(proxyuser, tmp);
+	conf_get_string(key_proxy, "password", "", &tmp); strcpy(proxypass, tmp);
+	conf_get_int(key_proxy, "type", PROXY_NONE, &proxytype);
+	conf_get_int(key_proxy, "port", 3128, &proxyport);
+
+	RegCloseKey(key);
+	RegCloseKey(key_main);
+	RegCloseKey(key_proxy);
+
+	return conf;
+}
+
+void conf_loaddefaults( irc_t *irc )
+{
+	HKEY key_defaults;
+	int i;
+	char name[4096], data[4096];
+	DWORD namelen = sizeof(name), datalen = sizeof(data);
+	DWORD type;
+	if (RegOpenKey(HKEY_LOCAL_MACHINE, "SOFTWARE\\Bitlbee\\defaults", &key_defaults) != ERROR_SUCCESS) {
+		return;
+	}
+
+	for (i = 0; RegEnumValue(key_defaults, i, name, &namelen, NULL, &type, data, &datalen) == ERROR_SUCCESS; i++) {
+		set_t *s = set_find( irc, name );
+			
+		if( s )
+		{
+			if( s->def ) g_free( s->def );
+			s->def = g_strdup( data );
+		}
+
+		namelen = sizeof(name);
+		datalen = sizeof(data);
+	}
+
+	RegCloseKey(key_defaults);
+}
+
+#ifndef INADDR_NONE
+#define INADDR_NONE 0xffffffff
+#endif
+
+int
+inet_aton(const char *cp, struct in_addr *addr)
+{
+  addr->s_addr = inet_addr(cp);
+  return (addr->s_addr == INADDR_NONE) ? 0 : 1;
+}
+
+void log_error(char *msg)
+{
+	log_message(LOGLVL_ERROR, "%s", msg);
+}
+
+void log_message(int level, char *message, ...)
+{
+    HANDLE  hEventSource;
+    LPTSTR  lpszStrings[2];
+	WORD elevel;
+    va_list ap;
+
+    va_start(ap, message);
+
+	if (debug) {
+		vprintf(message, ap);
+		putchar('\n');
+		va_end(ap);
+		return;
+	}
+
+    hEventSource = RegisterEventSource(NULL, TEXT("bitlbee"));
+
+    lpszStrings[0] = TEXT("bitlbee");
+    lpszStrings[1] = g_strdup_vprintf(message, ap);
+    va_end(ap);
+
+	switch (level) {
+	case LOGLVL_ERROR: elevel = EVENTLOG_ERROR_TYPE; break;
+	case LOGLVL_WARNING: elevel = EVENTLOG_WARNING_TYPE; break;
+	case LOGLVL_INFO: elevel = EVENTLOG_INFORMATION_TYPE; break;
+#ifdef DEBUG
+	case LOGLVL_DEBUG: elevel = EVENTLOG_AUDIT_SUCCESS; break;
+#endif
+	}
+
+    if (hEventSource != NULL) {
+        ReportEvent(hEventSource, 
+        elevel,
+        0,                    
+        0,                    
+        NULL,                 
+        2,                    
+        0,                    
+        lpszStrings,          
+        NULL);                
+
+        DeregisterEventSource(hEventSource);
+    }
+
+	g_free(lpszStrings[1]);
+}
Index: win32/bitlbee.dsp
===================================================================
--- win32/bitlbee.dsp	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
+++ win32/bitlbee.dsp	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
@@ -0,0 +1,247 @@
+# Microsoft Developer Studio Project File - Name="bitlbee" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 5.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Application" 0x0101
+
+CFG=bitlbee - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "bitlbee.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "bitlbee.mak" CFG="bitlbee - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "bitlbee - Win32 Release" (based on "Win32 (x86) Application")
+!MESSAGE "bitlbee - Win32 Debug" (based on "Win32 (x86) Application")
+!MESSAGE 
+
+# Begin Project
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+MTL=midl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "bitlbee - Win32 Release"
+
+# PROP BASE Use_MFC 6
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 6
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "Release"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /MD /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_AFXDLL" /Yu"stdafx.h" /FD /c
+# ADD CPP /nologo /MD /W3 /GX /O2 /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "NDEBUG" /D "WIN32" /D "_WINDOWS" /D "_AFXDLL" /FD /c
+# SUBTRACT CPP /YX
+# ADD BASE MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
+# ADD MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
+# ADD BASE RSC /l 0x409 /d "NDEBUG" /d "_AFXDLL"
+# ADD RSC /l 0x409 /d "NDEBUG" /d "_AFXDLL"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 /nologo /subsystem:windows /machine:I386
+# ADD LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib iconv.lib glib-2.0.lib gmodule-2.0.lib wsock32.lib advapi32.lib /nologo /machine:I386 /libpath:"release" /libpath:"deps\lib"
+# SUBTRACT LINK32 /pdb:none
+
+!ELSEIF  "$(CFG)" == "bitlbee - Win32 Debug"
+
+# PROP BASE Use_MFC 6
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "Debug"
+# PROP BASE Intermediate_Dir "Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 6
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "Debug"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /MDd /W3 /Gm /GX /Zi /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_AFXDLL" /Yu"stdafx.h" /FD /c
+# ADD CPP /nologo /MDd /W3 /Gm /GX /Zi /Od /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "_DEBUG" /D "WIN32" /D "_WINDOWS" /D "_AFXDLL" /FR /FD /c
+# SUBTRACT CPP /YX
+# ADD BASE MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
+# ADD MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
+# ADD BASE RSC /l 0x409 /d "_DEBUG" /d "_AFXDLL"
+# ADD RSC /l 0x409 /d "_DEBUG" /d "_AFXDLL"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 /nologo /subsystem:windows /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 iconv.lib glib-2.0.lib gmodule-2.0.lib wsock32.lib kernel32.lib user32.lib advapi32.lib /nologo /debug /machine:I386 /pdbtype:sept /libpath:"debug" /libpath:"deps\lib"
+# SUBTRACT LINK32 /pdb:none
+
+!ENDIF 
+
+# Begin Target
+
+# Name "bitlbee - Win32 Release"
+# Name "bitlbee - Win32 Debug"
+# Begin Group "Source Files"
+
+# PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
+# Begin Source File
+
+SOURCE=..\account.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\bitlbee.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\commands.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\crypting.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\debug.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\help.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\irc.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\md5.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\nick.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\nogaim.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\proxy.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\query.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\set.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\sha.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\user.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\util.c
+
+!IF  "$(CFG)" == "bitlbee - Win32 Release"
+
+!ELSEIF  "$(CFG)" == "bitlbee - Win32 Debug"
+
+# PROP Intermediate_Dir "Debugx"
+
+!ENDIF 
+
+# End Source File
+# Begin Source File
+
+SOURCE=..\win32.c
+# End Source File
+# End Group
+# Begin Group "Header Files"
+
+# PROP Default_Filter "h;hpp;hxx;hm;inl"
+# Begin Source File
+
+SOURCE=..\account.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\bitlbee.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\commands.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\conf.h
+# End Source File
+# Begin Source File
+
+SOURCE=.\config.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\crypting.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\help.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\ini.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\irc.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\log.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\md5.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\nick.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\nogaim.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\set.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\sha.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\sock.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\user.h
+# End Source File
+# End Group
+# End Target
+# End Project
Index: win32/bitlbee.dsw
===================================================================
--- win32/bitlbee.dsw	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
+++ win32/bitlbee.dsw	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
@@ -0,0 +1,119 @@
+Microsoft Developer Studio Workspace File, Format Version 5.00
+# WARNING: DO NOT EDIT OR DELETE THIS WORKSPACE FILE!
+
+###############################################################################
+
+Project: "admin"=.\admin1\admin.dsp - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
+Project: "bitlbee"=.\bitlbee.dsp - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
+Project: "bitlbee_ssl"=.\bitlbee_ssl.dsp - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
+Project: "jabber"=.\jabber.dsp - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+    Begin Project Dependency
+    Project_Dep_Name bitlbee
+    End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name bitlbee_ssl
+    End Project Dependency
+}}}
+
+###############################################################################
+
+Project: "msn"=.\msn.dsp - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+    Begin Project Dependency
+    Project_Dep_Name bitlbee
+    End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name bitlbee_ssl
+    End Project Dependency
+}}}
+
+###############################################################################
+
+Project: "oscar"=.\oscar.dsp - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+    Begin Project Dependency
+    Project_Dep_Name bitlbee
+    End Project Dependency
+}}}
+
+###############################################################################
+
+Project: "yahoo"=.\yahoo.dsp - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+    Begin Project Dependency
+    Project_Dep_Name bitlbee
+    End Project Dependency
+}}}
+
+###############################################################################
+
+Global:
+
+Package=<5>
+{{{
+}}}
+
+Package=<3>
+{{{
+}}}
+
+###############################################################################
+
Index: win32/bitlbee.iss
===================================================================
--- win32/bitlbee.iss	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
+++ win32/bitlbee.iss	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
@@ -0,0 +1,73 @@
+; Inno setup script for Bitlbee
+; (C) 2004-2005 Jelmer Vernooij <jelmer@samba.org>
+
+[Setup]
+AppName=BitlBee
+AppPublisher=The BitlBee Team
+AppPublisherURL=http://www.bitlbee.org/
+AppSupportURL=http://win32.bitlbee.org/
+AppUpdatesURL=http://win32.bitlbee.org/
+AppCopyright=Copyright © 2002-2005 The BitlBee Team
+DefaultDirName={pf}\Bitlbee
+DefaultGroupName=Bitlbee
+LicenseFile=..\COPYING
+InfoAfterFile=README.TXT
+OutputDir=.
+AppVerName=Bitlbee-20050516
+OutputBaseFileName="BitlBee-setup"
+
+[Components]
+Name: main; Description: Main executable and files; Types: full compact custom; Flags: fixed;
+Name: "yahoo"; Description: Yahoo! Messenger support; Types: full;
+Name: "oscar"; Description: AIM/ICQ support; Types: full;
+Name: ssl; Description: SSL Support; Types: full;
+Name: "ssl\msn"; Description: MSN messenger support; Types: full;
+Name: "ssl\jabber"; Description: Jabber support; Types: full;
+Name: docs; Description: Documentation; Types: full;
+
+[Tasks]
+Name: startupicon; Description: "&Automatically start when the computer boots"; GroupDescription: "Other tasks:"; Flags: unchecked
+
+[Files]
+Source: "Release\bitlbee.exe"; DestDir: "{app}"; Flags: ignoreversion; Components: main;
+Source: "Release\libmsn.dll"; DestDir: "{app}"; Flags: ignoreversion; Components: "ssl\msn"
+Source: "Deps\lib\ssl3.dll"; DestDir: "{app}"; Flags: ignoreversion; Components: "ssl"
+Source: "Deps\lib\nss3.dll"; DestDir: "{app}"; Flags: ignoreversion; Components: "ssl"
+Source: "Deps\lib\nssckbi.dll"; DestDir: "{app}"; Flags: ignoreversion; Components: "ssl"
+Source: "Deps\lib\smime3.dll"; DestDir: "{app}"; Flags: ignoreversion; Components: "ssl"
+Source: "Deps\lib\softokn3.dll"; DestDir: "{app}"; Flags: ignoreversion; Components: "ssl"
+Source: "Deps\lib\libplc4.dll"; DestDir: "{app}"; Flags: ignoreversion; Components: "ssl"
+Source: "Deps\lib\libnspr4.dll"; DestDir: "{app}"; Flags: ignoreversion; Components: "ssl"
+Source: "Release\libjabber.dll"; DestDir: "{app}"; Flags: ignoreversion; Components: "ssl\jabber"
+Source: "Release\bitlbee_ssl.dll"; DestDir: "{app}"; Flags: ignoreversion; Components: "ssl"
+Source: "Deps\bin\libglib-2.0-0.dll"; DestDir: "{app}"; Flags: ignoreversion; Components: main;
+Source: "Deps\bin\libgmodule-2.0-0.dll"; DestDir: "{app}"; Flags: ignoreversion; Components: main;
+Source: "Release\liboscar.dll"; DestDir: "{app}"; Flags: ignoreversion; Components: "oscar"
+Source: "Deps\bin\intl.dll"; DestDir: "{app}"; Flags: ignoreversion; Components: main;
+Source: "Deps\bin\iconv.dll"; DestDir: "{app}"; Flags: ignoreversion; Components: main;
+Source: "Release\libyahoo.dll"; DestDir: "{app}"; Flags: ignoreversion; Components: "yahoo"
+Source: "..\motd.txt"; DestDir: "{app}"; Flags: ignoreversion; Components: main;
+Source: "..\doc\help.txt"; DestDir: "{app}"; Flags: ignoreversion; Components: main;
+Source: "..\COPYING"; DestDir: "{app}"; Flags: ignoreversion; Components: main;
+Source: "..\doc\TODO"; DestDir: "{app}"; Flags: ignoreversion; Components: main;
+Source: "..\doc\README"; DestDir: "{app}"; Flags: ignoreversion; Components: main;
+Source: "..\doc\FAQ"; DestDir: "{app}"; Flags: ignoreversion; Components: docs;
+Source: "..\doc\CREDITS"; DestDir: "{app}"; Flags: ignoreversion; Components: main;
+; Source: "..\doc\user-guide.pdf"; DestDir: "{app}"; Flags: ignoreversion; Components: docs;
+Source: "..\doc\CHANGES"; DestDir: "{app}"; Flags: ignoreversion; Components: main;
+Source: "..\doc\AUTHORS"; DestDir: "{app}"; Flags: ignoreversion; Components: main;
+; NOTE: Don't use "Flags: ignoreversion" on any shared system files
+
+[Icons]
+Name: "{group}\Bitlbee"; Filename: "{app}\bitlbee.exe"
+Name: "{commonstartup}\Bitlbee"; Filename: "{app}\bitlbee.exe"; Tasks: startupicon
+
+
+[Run]
+; NOTE: The following entry contains an English phrase ("Launch"). You are free to translate it into another language if required.
+Filename: "{app}\bitlbee.exe"; Description: "Launch Bitlbee"; Flags: nowait postinstall skipifsilent
+
+[Registry]
+Root: HKLM; Subkey: "SOFTWARE\Bitlbee"; ValueType: string; ValueName: "helpfile"; ValueData: "{app}\help.txt"
+Root: HKLM; Subkey: "SOFTWARE\Bitlbee"; ValueType: string; ValueName: "motdfile"; ValueData: "{app}\motd.txt"
+Root: HKLM; Subkey: "SOFTWARE\Bitlbee"; ValueType: string; ValueName: "configdir"; ValueData: "{userappdata}\Bitlbee"
Index: win32/bitlbee_ssl.dsp
===================================================================
--- win32/bitlbee_ssl.dsp	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
+++ win32/bitlbee_ssl.dsp	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
@@ -0,0 +1,99 @@
+# Microsoft Developer Studio Project File - Name="bitlbee_ssl" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 5.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Dynamic-Link Library" 0x0102
+
+CFG=bitlbee_ssl - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "bitlbee_ssl.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "bitlbee_ssl.mak" CFG="bitlbee_ssl - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "bitlbee_ssl - Win32 Release" (based on\
+ "Win32 (x86) Dynamic-Link Library")
+!MESSAGE "bitlbee_ssl - Win32 Debug" (based on\
+ "Win32 (x86) Dynamic-Link Library")
+!MESSAGE 
+
+# Begin Project
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+MTL=midl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "bitlbee_ssl - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "Release"
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /YX /FD /c
+# ADD CPP /nologo /MT /W3 /GX /O2 /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /YX /FD /c
+# ADD BASE MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
+# ADD MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
+# ADD BASE RSC /l 0x409 /d "NDEBUG"
+# ADD RSC /l 0x409 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /machine:I386
+# ADD LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib libnspr4.lib nss3.lib ssl3.lib ws2_32.lib glib-2.0.lib /nologo /subsystem:windows /dll /machine:I386 /libpath:"release" /libpath:"deps\lib"
+
+!ELSEIF  "$(CFG)" == "bitlbee_ssl - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "Debug"
+# PROP BASE Intermediate_Dir "Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "Debug"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /MTd /W3 /Gm /GX /Zi /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /YX /FD /c
+# ADD CPP /nologo /MTd /W3 /Gm /GX /Zi /Od /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /YX /FD /c
+# ADD BASE MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
+# ADD MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
+# ADD BASE RSC /l 0x409 /d "_DEBUG"
+# ADD RSC /l 0x409 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib libnspr4.lib nss3.lib ssl3.lib ws2_32.lib glib-2.0.lib /nologo /subsystem:windows /dll /debug /machine:I386 /pdbtype:sept /libpath:"debug" /libpath:"deps\lib"
+
+!ENDIF 
+
+# Begin Target
+
+# Name "bitlbee_ssl - Win32 Release"
+# Name "bitlbee_ssl - Win32 Debug"
+# Begin Source File
+
+SOURCE=..\protocols\ssl_client.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\ssl_nss.c
+# End Source File
+# End Target
+# End Project
Index: win32/jabber.dsp
===================================================================
--- win32/jabber.dsp	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
+++ win32/jabber.dsp	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
@@ -0,0 +1,228 @@
+# Microsoft Developer Studio Project File - Name="jabber" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 5.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Dynamic-Link Library" 0x0102
+
+CFG=jabber - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "jabber.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "jabber.mak" CFG="jabber - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "jabber - Win32 Release" (based on "Win32 (x86) Dynamic-Link Library")
+!MESSAGE "jabber - Win32 Debug" (based on "Win32 (x86) Dynamic-Link Library")
+!MESSAGE 
+
+# Begin Project
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+MTL=midl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "jabber - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "jabrel"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /YX /FD /c
+# ADD CPP /nologo /MD /W3 /GX /O2 /I "..\protocols\jabber" /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /FD /c
+# SUBTRACT CPP /YX
+# ADD BASE MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
+# ADD MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
+# ADD BASE RSC /l 0x409 /d "NDEBUG"
+# ADD RSC /l 0x409 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /machine:I386
+# ADD LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib ws2_32.lib iconv.lib glib-2.0.lib /nologo /subsystem:windows /dll /machine:I386 /out:"Release/libjabber.dll" /libpath:"release" /libpath:"deps\lib"
+
+!ELSEIF  "$(CFG)" == "jabber - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "jabber__"
+# PROP BASE Intermediate_Dir "jabber__"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "jabdeb"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /MTd /W3 /Gm /GX /Zi /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /YX /FD /c
+# ADD CPP /nologo /MDd /W3 /Gm /GX /Zi /Od /I "..\protocols\jabber" /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /FD /c
+# SUBTRACT CPP /YX
+# ADD BASE MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
+# ADD MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
+# ADD BASE RSC /l 0x409 /d "_DEBUG"
+# ADD RSC /l 0x409 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 odbc32.lib glib-2.0.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbccp32.lib ws2_32.lib /nologo /subsystem:windows /dll /debug /machine:I386 /out:"Debug/libjabber.dll" /pdbtype:sept /libpath:"debug" /libpath:"deps\lib"
+
+!ENDIF 
+
+# Begin Target
+
+# Name "jabber - Win32 Release"
+# Name "jabber - Win32 Debug"
+# Begin Source File
+
+SOURCE=..\protocols\jabber\asciitab.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\expat.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\genhash.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\hashtable.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\hashtable.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\iasciitab.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\jabber.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\jabber.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\jconn.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\jid.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\jpacket.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\jutil.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\karma.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\latin1tab.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\libxode.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\log.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\log.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\nametab.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\pool.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\pproxy.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\rate.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\str.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\utf8tab.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\xhash.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\xmldef.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\xmlnode.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\xmlparse.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\xmlparse.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\xmlrole.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\xmlrole.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\xmltok.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\xmltok.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\xmltok_impl.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\jabber\xstream.c
+# End Source File
+# End Target
+# End Project
Index: win32/msn.dsp
===================================================================
--- win32/msn.dsp	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
+++ win32/msn.dsp	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
@@ -0,0 +1,116 @@
+# Microsoft Developer Studio Project File - Name="msn" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 5.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Dynamic-Link Library" 0x0102
+
+CFG=msn - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "msn.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "msn.mak" CFG="msn - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "msn - Win32 Release" (based on "Win32 (x86) Dynamic-Link Library")
+!MESSAGE "msn - Win32 Debug" (based on "Win32 (x86) Dynamic-Link Library")
+!MESSAGE 
+
+# Begin Project
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+MTL=midl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "msn - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "msnrel"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /YX /FD /c
+# ADD CPP /nologo /MD /W3 /GX /O2 /I "e:\dev\include\nss" /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /FD /c
+# SUBTRACT CPP /YX
+# ADD BASE MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
+# ADD MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
+# ADD BASE RSC /l 0x409 /d "NDEBUG"
+# ADD RSC /l 0x409 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /machine:I386
+# ADD LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib ws2_32.lib iconv.lib glib-2.0.lib nss3.lib libnspr4.lib ssl3.lib /nologo /subsystem:windows /dll /machine:I386 /out:"Release/libmsn.dll" /libpath:"release" /libpath:"deps\lib"
+
+!ELSEIF  "$(CFG)" == "msn - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "msn___Wi"
+# PROP BASE Intermediate_Dir "msn___Wi"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "msndeb"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /MTd /W3 /Gm /GX /Zi /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /YX /FD /c
+# ADD CPP /nologo /MDd /W3 /Gm /GX /Zi /Od /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /FD /c
+# SUBTRACT CPP /YX
+# ADD BASE MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
+# ADD MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
+# ADD BASE RSC /l 0x409 /d "_DEBUG"
+# ADD RSC /l 0x409 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 odbc32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbccp32.lib ws2_32.lib glib-2.0.lib /nologo /subsystem:windows /dll /debug /machine:I386 /out:"Debug/libmsn.dll" /pdbtype:sept /libpath:"debug" /libpath:"deps\lib"
+
+!ENDIF 
+
+# Begin Target
+
+# Name "msn - Win32 Release"
+# Name "msn - Win32 Debug"
+# Begin Source File
+
+SOURCE=..\protocols\msn\msn.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\msn\msn_util.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\msn\ns.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\msn\passport.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\msn\sb.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\msn\tables.c
+# End Source File
+# End Target
+# End Project
Index: win32/oscar.dsp
===================================================================
--- win32/oscar.dsp	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
+++ win32/oscar.dsp	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
@@ -0,0 +1,204 @@
+# Microsoft Developer Studio Project File - Name="oscar" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 5.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Dynamic-Link Library" 0x0102
+
+CFG=oscar - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "oscar.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "oscar.mak" CFG="oscar - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "oscar - Win32 Release" (based on "Win32 (x86) Dynamic-Link Library")
+!MESSAGE "oscar - Win32 Debug" (based on "Win32 (x86) Dynamic-Link Library")
+!MESSAGE 
+
+# Begin Project
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+MTL=midl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "oscar - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "oscarrel"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /YX /FD /c
+# ADD CPP /nologo /MD /W3 /GX /O2 /I "..\protocols\oscar" /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /FD /c
+# SUBTRACT CPP /YX
+# ADD BASE MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
+# ADD MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
+# ADD BASE RSC /l 0x409 /d "NDEBUG"
+# ADD RSC /l 0x409 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /machine:I386
+# ADD LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib iconv.lib ws2_32.lib glib-2.0.lib /nologo /subsystem:windows /dll /machine:I386 /out:"Release/liboscar.dll" /libpath:"release" /libpath:"deps\lib"
+
+!ELSEIF  "$(CFG)" == "oscar - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "oscar___"
+# PROP BASE Intermediate_Dir "oscar___"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "oscdeb"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /MTd /W3 /Gm /GX /Zi /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /YX /FD /c
+# ADD CPP /nologo /MDd /W3 /Gm /GX /Zi /Od /I "..\protocols\oscar" /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /FD /c
+# SUBTRACT CPP /YX
+# ADD BASE MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
+# ADD MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
+# ADD BASE RSC /l 0x409 /d "_DEBUG"
+# ADD RSC /l 0x409 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 gmodule-2.0.lib ws2_32.lib glib-2.0.lib iconv.lib /nologo /subsystem:windows /dll /debug /machine:I386 /out:"Debug/liboscar.dll" /pdbtype:sept /libpath:"debug" /libpath:"deps\lib"
+
+!ENDIF 
+
+# Begin Target
+
+# Name "oscar - Win32 Release"
+# Name "oscar - Win32 Debug"
+# Begin Source File
+
+SOURCE=..\protocols\oscar\admin.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\aim.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\aim_cbtypes.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\aim_internal.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\auth.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\bos.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\buddylist.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\chat.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\chatnav.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\conn.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\faimconfig.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\ft.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\icq.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\im.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\info.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\misc.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\msgcookie.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\oscar.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\oscar_util.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\rxhandlers.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\rxqueue.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\search.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\service.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\snac.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\ssi.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\stats.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\tlv.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\oscar\txqueue.c
+# End Source File
+# End Target
+# End Project
Index: win32/yahoo.dsp
===================================================================
--- win32/yahoo.dsp	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
+++ win32/yahoo.dsp	(revision cfcc5877b737800ab84cd67d9c413e7254ac1f50)
@@ -0,0 +1,152 @@
+# Microsoft Developer Studio Project File - Name="yahoo" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 5.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Dynamic-Link Library" 0x0102
+
+CFG=yahoo - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "yahoo.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "yahoo.mak" CFG="yahoo - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "yahoo - Win32 Release" (based on "Win32 (x86) Dynamic-Link Library")
+!MESSAGE "yahoo - Win32 Debug" (based on "Win32 (x86) Dynamic-Link Library")
+!MESSAGE 
+
+# Begin Project
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+MTL=midl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "yahoo - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "yahrel"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /YX /FD /c
+# ADD CPP /nologo /MD /W3 /GX /O2 /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "NDEBUG" /D "WIN32" /D "_WINDOWS" /D "HAVE_CONFIG_H" /FD /c
+# SUBTRACT CPP /YX
+# ADD BASE MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
+# ADD MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
+# ADD BASE RSC /l 0x409 /d "NDEBUG"
+# ADD RSC /l 0x409 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /machine:I386
+# ADD LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib ws2_32.lib iconv.lib glib-2.0.lib /nologo /subsystem:windows /dll /machine:I386 /out:"Release/libyahoo.dll" /libpath:"release" /libpath:"deps\lib"
+
+!ELSEIF  "$(CFG)" == "yahoo - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "yahoo___"
+# PROP BASE Intermediate_Dir "yahoo___"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "yahdeb"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /MTd /W3 /Gm /GX /Zi /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /YX /FD /c
+# ADD CPP /nologo /MDd /W3 /Gm /GX /Zi /Od /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "_DEBUG" /D "WIN32" /D "_WINDOWS" /D "HAVE_CONFIG_H" /FD /c
+# SUBTRACT CPP /YX
+# ADD BASE MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
+# ADD MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
+# ADD BASE RSC /l 0x409 /d "_DEBUG"
+# ADD RSC /l 0x409 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 ws2_32.lib glib-2.0.lib gmodule-2.0.lib /nologo /subsystem:windows /dll /debug /machine:I386 /out:"Debug/libyahoo.dll" /pdbtype:sept /libpath:"debug" /libpath:"deps\lib"
+
+!ENDIF 
+
+# Begin Target
+
+# Name "yahoo - Win32 Release"
+# Name "yahoo - Win32 Debug"
+# Begin Source File
+
+SOURCE=..\protocols\yahoo\crypt.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\yahoo\libyahoo2.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\yahoo\yahoo.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\yahoo\yahoo2.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\yahoo\yahoo2_callbacks.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\yahoo\yahoo2_types.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\yahoo\yahoo_debug.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\yahoo\yahoo_fn.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\yahoo\yahoo_fn.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\yahoo\yahoo_httplib.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\yahoo\yahoo_httplib.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\yahoo\yahoo_list.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\yahoo\yahoo_list.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\yahoo\yahoo_util.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\protocols\yahoo\yahoo_util.h
+# End Source File
+# End Target
+# End Project
